html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    border: 0;
    overflow: hidden;
    cursor: url(media/icons/cursor-pixel.png), pointer;
}

.window {
    position: absolute;
    resize: both;
    overflow: auto;
}

.desktop {
    height: 100%;
    display: flex;
}

/* Adding CSS Taskbar + Desktop Icon code, based off of: https://github.com/1j01/98 */
.taskbar {
    position: absolute;
    z-index: 2;
    bottom: 0;
    left: 0;
    right: 0;
    height: 27px;
    display: flex;
    flex: 1;
}

.taskbar button,
.taskbar-divider .taskbar-divider {
    margin-right: 0px;
    margin-left: 0px;
}

.taskbar button {
    line-height: 14px;
    padding: 2px;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.taskbar button .title {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.taskbar .start-button {
    flex-shrink: 0;
    padding: 2px 4px;
}

.taskbar {
    outline: 1px solid rgb(223, 223, 223);
    border-top: 1px solid rgb(255, 255, 255);
    background: rgb(192, 192, 192);
    color: rgb(0, 0, 0);
}

.taskbar-divider {
    border-left: 1px solid rgb(128, 128, 128);
    border-right: 1px solid rgb(255, 255, 255);
}

.folder-view {
    position: relative;
    flex: 1;
    overflow: auto;
}

.desktop .folder-view {
    overflow: hidden;
}

.folder-view .desktop-icon {
    width: 75px;
    height: 75px;
}

.folder-view .desktop-icon .title {
    text-align: start;
    justify-content: start;
    white-space: nowrap;
    height: 17px;
    line-height: 17px;
    padding-right: 2px;
    padding-left: 3px;
    margin-top: 5px;
}

.desktop-icon {
    position: absolute;
    outline: none;
    display: inline-block;
    vertical-align: bottom;
    text-align: center;
}

.desktop-icon .desktop-icon-wrapper {
    display: inline-block;
    vertical-align: bottom;
    position: relative;
}

.desktop-icon .desktop-icon-wrapper {
    width: 32px;
    height: 32px;
}

.desktop-icon .icon-subtitle {
    line-height: 13px;
    max-height: calc(13px * 2);
    overflow: hidden;
    text-overflow: ellipsis;
    word-wrap: break-word;
    overflow-wrap: break-word;
}

.desktop-icon .icon-subtitle {
    font-family: 'px sans nouveaux', sans-serif;
    font-size: 6pt;
    color: white;
    position: relative;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
}

.desktop-icon .desktop-icon-wrapper img {
    image-rendering: pixelated;
}

.selected {
    background-color: rgb(170, 123, 0);
    opacity: 0.5;
}

.icon-title .selected {
    color: rgb(255, 255, 0);
}